Quantcast

Linux (pitanja, odgovori, diskusija)

ДраганЖ

Aktivan član
Poruka
1.413
:lol:

Ljudi sta radi Intel microcode na mojoj Amd masini? :D
Вероватно део основне скупине пакета који се налазе у оквиру језгра а који омогућавају Линуксу да се прилагоде разним конфигурацијама...
Нпр кад сам пре "пар" година мењао матичну плочу и РАМ меморију(са ДДР 2 на ДДР3) Виндовс 7 се више није подигао нити је било могуће избећи реинсталацију, али зато тадашња верзија Убунтуа се подигла без већих проблема (додуше то прво подизање је било малко дуже можда 30ак секунди од уобичајеног).
Тако да ако би и променио конфигурацију рачунара велика је вероватноћа да би се систем подигао и и био употребљив - једино би морао да се забавиш са инсталацијом драјвера за нову архитектуру графичке карте из терминала ....
 

Commie

Buduća legenda
Poruka
31.727
Haha nisam znao da se to desava na Linuxu :D

Dobro debian je pustio intel microcode . krpe rupetine ... ali opet na winu ne dobijam nepotrebne zakrpe koje na amd-u nisu potrebne...


Debian's Intel MDS Mitigations Are Available for Sandy Bridge Server/Core-X CPUs


New intel-microcode security update is now available





Jun 20, 2019 16:51 GMT · By Marius Nestor · Comment ·
Share:



Debian GNU/Linux 9 gets intel-microcode security update




The Debian Project recently announced the general availability of a new security update for the intel-microcode firmware to patch the recently disclosed Intel MDS (Microarchitectural Data Sampling) vulnerabilities on more Intel CPUs.
Last month, on May 14th, Intel disclosed four new security vulnerabilities affecting many of its Intel microprocessor families. The tech giant was quick to release updated microcode firmware to mitigate these flaws, but not all the processor families were patched.
Therefore, the Debian Project has now released a new version of the intel-microcode firmware to mitigate the Intel MDS (Microarchitectural Data Sampling) hardware vulnerabilities, including (CVE-2018-12126 (MSBDS), CVE-2018-12127 (MLPDS), CVE-2018-12130 (MFBDS), and CVE-2019-11091 (MDSUM)) for Sandy Bridge Server and Core-X CPUs.
"This update provides additional support for some Sandybridge server and Core-X CPUs which were not covered in the original May microcode release," said Moritz Muehlenhoff in a mailing list announcement, where he provided a list of specific CPU models that are now supported by this intel-microcode update.
Users are urged to update their systems
If you're running the latest Debian GNU/Linux 9 "Stretch" operating system series, the Debian Project recommends that you update the intel-microcode firmware to version 3.20190618.1~deb9u1 as soon as possible and also install the most recent Linux kernel update, which was released last month, to fully mitigate these flaws.
To update your Debian GNU/Linux computers, all you have to do is open a terminal emulator or access the console and type the "sudo apt-get update && sudo apt-get full-upgrade" command. Wait for all packages to be downloaded and then make sure you reboot your systems for the new kernel and intel-microcode versions to be correctly installed.





#Debian#Intel MDS#intel-microcode#security#Linux
 

ДраганЖ

Aktivan član
Poruka
1.413
Haha nisam znao da se to desava na Linuxu :D

Dobro debian je pustio intel microcode . krpe rupetine ... ali opet na winu ne dobijam nepotrebne zakrpe koje na amd-u nisu potrebne...


Debian's Intel MDS Mitigations Are Available for Sandy Bridge Server/Core-X CPUs


New intel-microcode security update is now available





Jun 20, 2019 16:51 GMT · By Marius Nestor · Comment ·
Share:



Debian GNU/Linux 9 gets intel-microcode security update




The Debian Project recently announced the general availability of a new security update for the intel-microcode firmware to patch the recently disclosed Intel MDS (Microarchitectural Data Sampling) vulnerabilities on more Intel CPUs.
Last month, on May 14th, Intel disclosed four new security vulnerabilities affecting many of its Intel microprocessor families. The tech giant was quick to release updated microcode firmware to mitigate these flaws, but not all the processor families were patched.
Therefore, the Debian Project has now released a new version of the intel-microcode firmware to mitigate the Intel MDS (Microarchitectural Data Sampling) hardware vulnerabilities, including (CVE-2018-12126 (MSBDS), CVE-2018-12127 (MLPDS), CVE-2018-12130 (MFBDS), and CVE-2019-11091 (MDSUM)) for Sandy Bridge Server and Core-X CPUs.
"This update provides additional support for some Sandybridge server and Core-X CPUs which were not covered in the original May microcode release," said Moritz Muehlenhoff in a mailing list announcement, where he provided a list of specific CPU models that are now supported by this intel-microcode update.
Users are urged to update their systems
If you're running the latest Debian GNU/Linux 9 "Stretch" operating system series, the Debian Project recommends that you update the intel-microcode firmware to version 3.20190618.1~deb9u1 as soon as possible and also install the most recent Linux kernel update, which was released last month, to fully mitigate these flaws.
To update your Debian GNU/Linux computers, all you have to do is open a terminal emulator or access the console and type the "sudo apt-get update && sudo apt-get full-upgrade" command. Wait for all packages to be downloaded and then make sure you reboot your systems for the new kernel and intel-microcode versions to be correctly installed.





#Debian#Intel MDS#intel-microcode#security#Linux
То је због тога што да би ти нешто радило како треба на виндовс морао би да инсталираш драјвери (сећаш ли се се за неке претходне верзије Вина одмах након инсталације инсталирали разноразни драјвери преко преносних уређаја). Код неких други Линукс дистрибуција при инсталацији система корисног бира пакете према конфигурацији коју има и самим тим нема у систему пакета који му нису потребни (нпр Арч, Генто....). Убунту је ипак систем за кориснике који не желе да се занимају са инсталациони процедурама...
 

ДраганЖ

Aktivan član
Poruka
1.413
Iskusno, nisam. Linux-u treba bar 6 meseci da podrzi novi hardver, pogotovo kad nije samo iteracija :P
И даље људи виде проблем у Линуксу а не у произвођачу који опструира стварање адекватних драјвера за нове уређаје...
Ако би и поризвођачи били транспарентни па понудили Линуксовим програмерима спецификације својих уређаја на време онда би и подршка била правовремена, или ако би се сами покренули и израдили драјвере.

Али поента је у томе што постоје разни договори са МС а што се тиче Линукса - па постоје и ту драјвери за најновије уређаје али се ти драјвери користе само од стране произвођача на системима који се купују од самог произвођача (нпр - при стварању супер рачунара и сл)...
 

Commie

Buduća legenda
Poruka
31.727
Ima li neki info da li ce Ubuntu 19.10 biti baziran na debian 10 ?!

I sta je generalno novo u debian 10 izdanju ? ima li nesto revolucionarno ? :D

Sto se tice drajvera , na ubuntu nikada nisam instalirao amd radeon drajvere , uvek sam se oslanjao na Mesa.
Npr ja moju grafu ne mogu da podesim kako hocu kao na winu, ona radi po o uefi podesavanju tako da do 60c njoj se ne pale ventilatori ... za to npr postoji softver na winu , u vidu radeon drajvera ili msi gaming app gde to moze da se drugacije podesi lako ...
 

ДраганЖ

Aktivan član
Poruka
1.413
Ima li neki info da li ce Ubuntu 19.10 biti baziran na debian 10 ?!

I sta je generalno novo u debian 10 izdanju ? ima li nesto revolucionarno ? :D

Sto se tice drajvera , na ubuntu nikada nisam instalirao amd radeon drajvere , uvek sam se oslanjao na Mesa.
Npr ja moju grafu ne mogu da podesim kako hocu kao na winu, ona radi po o uefi podesavanju tako da do 60c njoj se ne pale ventilatori ... za to npr postoji softver na winu , u vidu radeon drajvera ili msi gaming app gde to moze da se drugacije podesi lako ...
Што се тиче односа Убутну- Дебиан, свака нова верзија Убунтуа представља пресек стања у Дебиан тестинг складишту (другим речима идентичне верзије програма само другачије означене тј не стоји дебиан већ убунту), а пошто је Дебиан 10 управо изашао одговор је да - Убунту 19.10 ће бити базиран на Дебиан 10 с тим да се може десити да ту буде и новијих ствари у зависности шта све буде у Дебиан тестинг складиштима. Дебиан тестинг грана представља развој нове верзије Дебиана од момента кад нова верзија Дебиана постане стабино изадње па до замрзавања пакета ради припреме нове верзије. Управо због овакавог односа између Дебиана и Убунтуа, Убунту нема стабилност стабилне верзије Дебиана већ је отприлике увек на нивоу Дебиан тестинга...

Што се тиче новина у Дебиан 10 може да се прочита на званичним страницама:
What's new in Debian 10
Debian 10 "buster" released

За поближе упознавање са Дебиан 10:
Release Notes for Debian 10 (buster), 64-bit PC

А мене сад чека надоградња са Дебаин 9 на Дебиан 10 :)
 

bmaxa

Aktivan član
Poruka
1.413
Ima li neki info da li ce Ubuntu 19.10 biti baziran na debian 10 ?!

I sta je generalno novo u debian 10 izdanju ? ima li nesto revolucionarno ? :D

Sto se tice drajvera , na ubuntu nikada nisam instalirao amd radeon drajvere , uvek sam se oslanjao na Mesa.
Npr ja moju grafu ne mogu da podesim kako hocu kao na winu, ona radi po o uefi podesavanju tako da do 60c njoj se ne pale ventilatori ... za to npr postoji softver na winu , u vidu radeon drajvera ili msi gaming app gde to moze da se drugacije podesi lako ...
https://github.com/marazmista/radeon-profile

Ako imas AMD kartu ovo je na Linux-u nezamenljivo. Vidi da li imas kao paket vec.
 

bmaxa

Aktivan član
Poruka
1.413
И даље људи виде проблем у Линуксу а не у произвођачу који опструира стварање адекватних драјвера за нове уређаје...
Ако би и поризвођачи били транспарентни па понудили Линуксовим програмерима спецификације својих уређаја на време онда би и подршка била правовремена, или ако би се сами покренули и израдили драјвере.

Али поента је у томе што постоје разни договори са МС а што се тиче Линукса - па постоје и ту драјвери за најновије уређаје али се ти драјвери користе само од стране произвођача на системима који се купују од самог произвођача (нпр - при стварању супер рачунара и сл)...
Nije drajver u pitanju vec systemd koji koristi rdrand instrukciju umesto /dev/urandom. E sad novi cipovi vracaju -1 kad nema entropije sto zbuni siroti systemd :P
 

fosilvaso

Elita
Poruka
18.999
Koristio sam to pre, custom app.
Ne može na 19.04 Ubuntu :(
Zaboravimo na trenutak DeBill Gejtsove poluproizvode pa se zapitajmo:
Čemu služi toliko međusobno 'nekompatibilnih' verzija i podverzija Linuxa? Umesto da svi sve snage usmere na JEDAN, ali stvarno kvalitetan proizvod? Radi se o običnom hebenom OS-u, koji sam po sebi i ne radi mnogo stvari, osim što debilčine dodaju razna s*anja!?
 

ДраганЖ

Aktivan član
Poruka
1.413
Zaboravimo na trenutak DeBill Gejtsove poluproizvode pa se zapitajmo:
Čemu služi toliko međusobno 'nekompatibilnih' verzija i podverzija Linuxa? Umesto da svi sve snage usmere na JEDAN, ali stvarno kvalitetan proizvod? Radi se o običnom hebenom OS-u, koji sam po sebi i ne radi mnogo stvari, osim što debilčine dodaju razna s*anja!?
Који су то "некомпактибилни" Линукси?
Линукси се могу разликовати само по верзијама тј шта је убачено или избачено из неке верзије Линукса (драјвери, кодеци,... ) А што се тиче дистрибуција базираних на Линукс овом језгру... Ту може бити разлика по питању радног окружења тј програма којима рукује корисник односно у типу бинарних пакета који односно програмском језику којим се уређује дато радно окружење...
Али све то не значи да су те дистрибуције некомпактибилни... Колико ми је познато све дистрибуције дозвољавају компајлирање програма из изворног кода чиме се разлика у бинарни пакетима брише...
Да не помињемо оне нове инсталациони пакете који не зависе од оријентације саме дистрибуције тј покретање и инсталација пакета са ради на један клик у било којој дистрибуцији (флат, апк....)...
 
Top